<?php
/*
 * description：
 * author：wh
 * email：
 * createTime：{2024/6/18} {18:05} 
 */

namespace app\api\logic;


use app\common\model\TabConf;
use think\Db;
use wanghua\general_utility_tools_php\Mmodel;
use wanghua\general_utility_tools_php\tool\Tools;

class EnemyLogic extends BaseLogic
{

    /**
     * desc：累加击杀敌人数量
     *
     * 参数：enemy_num
     *
     * author：wh
     */
    function addKillEnemyNum(){
        return Mmodel::catchJson(function (){
            $enemy_num = input('enemy_num',1);
            Db::table(TabConf::$fa_users)
                ->where('openid',api_user_openid())
                ->setInc('enemy',$enemy_num);//累加击杀敌人数量
            return Tools::set_ok();
        });
    }
}